> For the complete documentation index, see [llms.txt](https://docs.realmacsoftware.com/elements-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.realmacsoftware.com/elements-docs/cms/json-rest-api/reference/settings.md).

# Settings

These routes read and narrowly write site-level configuration.

### Theme

#### `GET /cms/settings/theme`

Read the current theme: preset, accent color, fonts, custom palette, surface color, site name, and logo URLs.

| Field | Value                      |
| ----- | -------------------------- |
| Auth  | Required                   |
| Role  | Owner                      |
| Plan  | Theme customization access |

Response:

```json
{
  "theme": {
    "preset": "light",
    "accent_color": "#2563eb",
    "font_heading": "Inter",
    "font_body": "Inter",
    "custom_palette": null,
    "surface_color": null,
    "site_name": "Example",
    "logo": "/assets/logo.svg",
    "logo_dark": "/assets/logo-dark.svg"
  }
}
```

#### `PUT /cms/settings/theme`

Update the theme.

| Field | Value                      |
| ----- | -------------------------- |
| Auth  | Required                   |
| Role  | Owner                      |
| Plan  | Theme customization access |

Body: any subset of the fields returned by `GET /cms/settings/theme`. Omitted fields are left unchanged.

### Users

#### `GET /cms/settings/users`

List users on the site.

| Field | Value    |
| ----- | -------- |
| Auth  | Required |
| Role  | Admin    |

Response:

```json
{
  "users": [
    { "email": "ben@example.test", "role": "owner" },
    { "email": "sam@example.test", "role": "editor" }
  ]
}
```

User management is not exposed on the REST API yet. Use the Online Editor to create users, change roles, and delete users.

### Webhooks

#### `GET /cms/settings/webhooks`

List configured webhook subscriptions.

| Field | Value           |
| ----- | --------------- |
| Auth  | Required        |
| Role  | Owner           |
| Plan  | Webhooks access |

Response:

```json
{
  "webhooks": [
    {
      "id": "wh_...",
      "url": "https://hooks.example.test/cms",
      "events": ["file.created", "file.updated"],
      "enabled": true,
      "created_at": "2026-04-20T10:00:00+00:00"
    }
  ]
}
```

Webhook create, update, and delete are not exposed on the REST API yet. Use the Online Editor. To consume webhook payloads, see [Webhooks](https://github.com/realmacsoftware/rapidweaver-elements-docs-cms/blob/main/json-api/guides/webhooks.md).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.realmacsoftware.com/elements-docs/cms/json-rest-api/reference/settings.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
